
;____[ MessageBox-definitions ]_________________________________________

;;;;;;;; button
;MBYES
;MBNO
;MBOK
;MBCANCEL
;MBCANCEL2
;;;;;;;; default button
;MBDEF1
;MBDEF2
;MBDEF3
;;;;;;;; icon
;MBERR
;MBQUES
;MBWARN
;MBINFO
;;;;;;;; disable system close
;MBNOCLOSE

[Message]
NoDiskError=MBOK|MBWARN
LaunchError=MBOK|MBWARN
ColorError=MBOK|MBWARN
ResError=MBOK|MBWARN
OSError=MBOK|MBERR
DiskFullError=MBCANCEL2|MBWARN
AssocError=MBOK|MBWARN
AssocErrorPDF=MBOK|MBWARN
AssocErrorHTML=MBOK|MBWARN
AssocErrorTXT=MBOK|MBWARN

MsiMessage=MBOK|MBWARN
SysCloseMessage=MBYES|MBNO|MBWARN|MBDEF2


;____[ SelectLang ]_________________________________________
[SelectLang-Button Next]
LaunchFunc=DispatchSetLocale
LaunchData=TopMenu

[SelectLang-Button Exit]
LaunchFunc=DispatchExit
MsgBoxFlag=MBYES|MBNO|MBWARN|MBDEF2


;____[ TopMenu ]_________________________________________
[TopMenu-Button Custom]
LaunchFunc=DispatchScreen
LaunchData=SelectPort
LaunchData2003=SelectItem

[TopMenu-Button Utility]
LaunchFunc=DispatchScreen
LaunchData=Utility

[TopMenu-Button Readme]
LaunchFunc=DispatchScreen
LaunchData=Manual

[TopMenu-Button Smile]
LaunchFunc=DispatchFileOpen

[TopMenu-Button Exit]
LaunchFunc=DispatchExit


;____[ SelectPort ]_________________________________________
[SelectPort-Button USB]
LaunchFunc=DispatchScreen
LaunchData=SelectItem

[SelectPort-Button Network]
LaunchFunc=DispatchScreen
LaunchData=SelectItem

[SelectPort-Button Back]
LaunchFunc=DispatchScreen
LaunchData=TopMenu

[SelectPort-Button Cancel]
LaunchFunc=DispatchExit
MsgBoxFlag=MBYES|MBNO|MBWARN|MBDEF2


;____[ Manual ]_________________________________________
[Manual-Button Back]
LaunchFunc=DispatchPreviousScreen

[Manual-Button Cancel]
LaunchFunc=DispatchExit
MsgBoxFlag=MBYES|MBNO|MBWARN|MBDEF2

;[Manual-Item BasicGuide]
;LaunchFunc=DispatchFileOpen

[Manual-Item AdvancedGuide]
LaunchFunc=DispatchFileOpen

[Manual-Item ScannerGuide]
LaunchFunc=DispatchFileOpen

[Manual-Item Intro]
LaunchFunc=DispatchFileOpen


;____[ Utility ]_________________________________________
[Utility-Button Back]
LaunchFunc=DispatchPreviousScreen

[Utility-Button Cancel]
LaunchFunc=DispatchExit
MsgBoxFlag=MBYES|MBNO|MBWARN|MBDEF2

[Utility-Item NSDITCP]
LaunchFunc=DispatchProgram

[Utility-Item CSE]
LaunchFunc=DispatchProgram


;____[ SelectItem ]_________________________________________
[SelectItem-Button Install]
LaunchFunc=DispatchScreen
LaunchData=License

[SelectItem-Button Back]
LaunchFunc=DispatchScreen
LaunchData=TopMenu

[SelectItem-Button Cancel]
LaunchFunc=DispatchExit
MsgBoxFlag=MBYES|MBNO|MBWARN|MBDEF2

[SelectItem-Button Exit]
LaunchFunc=DispatchExit


;____[ License ]_________________________________________
[License-Button Yes]
LaunchFunc=DispatchScreen
LaunchData=Installation

[License-Button No]
LaunchFunc=DispatchExit
MsgBoxFlag=MBYES|MBNO|MBWARN|MBDEF2

[License-Button Back]
LaunchFunc=DispatchPreviousScreen


;____[ Installation ]_________________________________________
[Installation-Button Next]
LaunchFunc=DispatchScreen
LaunchData=EndScreen

[Installation-Func MFUSBDriver]
LaunchFunc=DispatchProgramSequential
LaunchInterval=2000
WaitType=PROC_WNDMSG
LaunchParam=/XUSB HANDLE=#h MSGID=#m INSTNUM=#i

[Installation-Func MFNetDriver]
LaunchFunc=DispatchProgramSequential
LaunchInterval=2000
WaitType=PROC_WNDMSG
LaunchParam=/XNET HANDLE=#h MSGID=#m INSTNUM=#i

[Installation-Func Toolbox]
LaunchFunc=DispatchProgramSequential
LaunchInterval=2000
WaitType=PROC_WNDMSG
LaunchParam=/s /w /v"HANDLE="#h" MSGID="#m" INSTNUM="#i" NOEULA="TRUE""

[Installation-Func USBManual]
LaunchFunc=DispatchFileCopy
LaunchInterval=2000
LaunchData=AdvancedGuide|ScannerGuide

[Installation-Func NetManual]
LaunchFunc=DispatchFileCopy
LaunchInterval=2000
LaunchData=AdvancedGuide


;____[ EndScreen ]_________________________________________
[EndScreen-Button RebootCheck]
LaunchFunc=DispatchSwitch
LaunchData=RebootExit

[EndScreen-Button RebootExit]
LaunchFunc=DispatchRebootExit


